clear all; close all; clc

r = 20; % veľkosť vzoriek
h_o = 2; % poloha horného okraja vzoriek

h_r = 2; % horizontálny rozostup vzoriek
v_r = 2; % vertikálny rozostup vzoriek

h_p = 10; % počet vzoriek horizontálne
v_p = 10; % počet vzoriek vertikálne
n_v = h_p*v_p; % počet vzoriek v jednom obr.

% načítanie sád obrazov
data = cell(9,1);
data{1,1} = imread('D4.gif');
data{2,1} = imread('D16.gif');
data{3,1} = imread('D19.gif');
data{4,1} = imread('D24.gif');
data{5,1} = imread('D29.gif');
data{6,1} = imread('D53.gif');
data{7,1} = imread('D68.gif');
data{8,1} = imread('D77.gif');
data{9,1} = imread('D79.gif');

% % uprava jasu
% data = cell(9,1);
% data{1,1} = imread('D4.gif')/2+50;
% data{2,1} = imread('D16.gif')/2+50;
% data{3,1} = imread('D19.gif')/2+50;
% data{4,1} = imread('D24.gif')/2+50;
% data{5,1} = imread('D29.gif')/2+50;
% data{6,1} = imread('D53.gif')/2+50;
% data{7,1} = imread('D68.gif')/2+50;
% data{8,1} = imread('D77.gif')/2+50;
% data{9,1} = imread('D79.gif')/2+50;

[s1,s2] = size(data{1,1});
% prazdne b. pole pre výber 4 výrezov z každého obr. v definovanej hĺbke
dVzoriek_testy = cell(n_v,9);

% cyklus pre výber stĺpca databázy (každý stĺpec iný gél)
for i = 1:9;
    obr = data{i,1}; % výber obrázku z databázy
    obr = obr(1:s1/2, 1:s2); %I = I(1:320, 1:640); pre class
        riadok = 1; % počítadlo pre ukladanie na konkrétnej pozícii

        % m*n = počet vzoriek z jedného obrazu
        for m = 1:h_p; % horizontálny posun
            for n = 1:v_p % vertikálny posun
            A = h_o + (n-1)*(r + v_r);
            B = (((m-1)*(r + h_r))+1);
            vzorka = obr(A : A + r-1, B : B + r-1); 

            dVzoriek_testy{riadok,i} = vzorka;
            riadok = riadok+1;
            end
        end
end

sV = size(dVzoriek_testy);

save('databaza_testov_lbp_br.mat','dVzoriek_testy')
% save('databaza_testov_lbp_br_uprava_jasu.mat','dVzoriek_testy')
